Bug 633411 - [6.1 FEAT] Dump on panic - Prevent reipl loop
Summary: [6.1 FEAT] Dump on panic - Prevent reipl loop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils
Version: 6.1
Hardware: s390x
OS: All
high
high
Target Milestone: beta
: 6.1
Assignee: Dan Horák
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 538808 580566
TreeView+ depends on / blocked
 
Reported: 2010-09-13 17:53 UTC by IBM Bug Proxy
Modified: 2011-05-19 13:17 UTC (History)
6 users (show)

Fixed In Version: s390utils-1.8.2-30.el6.src.rpm
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:17:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
s390-tools-rhel6-dumpconf-prevent-loop.patch (13.27 KB, text/plain)
2010-12-01 12:21 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0601 normal SHIPPED_LIVE s390utils bug fix and enhancement update 2011-05-19 09:37:30 UTC
IBM Linux Technology Center 67056 None None None Never

Description IBM Bug Proxy 2010-09-13 17:53:39 UTC
1. Feature Overview:
Feature Id: [67056]
a. Name of Feature: [6.1 FEAT] Dump on panic - Prevent reipl loop
b. Feature Description
This features provide tooling, via a configuration (time delay for activation of this trigger) to
discourage a configuration of dump&ipl on panic that may lead into an infinite panic-dump-ipl loop.
A new keyword DELAY_MINUTES is introduced in the dumpconf configuration file. Using this keyword the
activation of dumpconf can be delayed in order to prevent potential re-IPL loops.

2. Feature Details:
Sponsor: LTC zSeries BOE
Architectures:  zSeries - 64 native, 

Arch Specificity: purely arch specific code
Affects Kernel Modules: Field does not exist
Delivery Mechanism: Backport
Category: other
Request Type: Package - Feature from Upstream
d. Upstream Acceptance: Field does not exist
Sponsor Priority P1
f. Severity: ship issue
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target:---

3. Business Case
Improve serviceability of Linux kernel problems and prevent an infinite panic-dump-ipl loop-

4. Primary contact at Red Hat:
John Jarvis jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

Comment 2 IBM Bug Proxy 2010-10-04 15:14:31 UTC
------- Comment From rsisk@us.ibm.com 2010-10-04 10:36 EDT-------
Code Upstream Status: Accepted

Comment 3 John Jarvis 2010-10-04 18:21:01 UTC
IBM is signed up to test and provide feedback, setting OtherQA.

Comment 5 IBM Bug Proxy 2010-12-01 12:21:58 UTC
Created attachment 463959 [details]
s390-tools-rhel6-dumpconf-prevent-loop.patch


------- Comment on attachment From brueckner@linux.vnet.ibm.com 2010-12-01 07:16 EDT-------


Summary:     dumpconf: Prevent re-IPL loop for dump on panic.
Description: A new keyword DELAY_MINUTES is introduced in the dumpconf.
             configuration file. Using this keyword the activation of dumpconf
             can be delayed in order to prevent potential re-IPL loops.

Comment 8 John Jarvis 2010-12-01 17:08:12 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 12 IBM Bug Proxy 2011-03-28 18:47:17 UTC
------- Comment From mgrf@de.ibm.com 2011-03-28 14:32 EDT-------
This feature is verified on R 6.1 test deliverables - set to verified on IBM site

Comment 13 errata-xmlrpc 2011-05-19 13:17:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0601.html

Comment 14 errata-xmlrpc 2011-05-19 13:17:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0601.html


Note You need to log in before you can comment on or make changes to this bug.